Get server resource utilization
Returns current CPU, memory, disk, and network usage statistics for the server. Values are cached for 20 seconds.
Returns current CPU, memory, disk, and network usage statistics for the server. Values are cached for 20 seconds.
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API token in the format: Bearer {token}
In: header
Path Parameters
server*string
Server identifier
Response Body
application/json
curl -X GET "https://example.com/api/client/servers/string/resources"{
"object": "stats",
"attributes": {
"current_state": "string",
"is_suspended": true,
"resources": {
"memory_bytes": 0,
"cpu_absolute": 0.1,
"disk_bytes": 0,
"network_rx_bytes": 0,
"network_tx_bytes": 0,
"uptime": 0
}
}
}Empty
Empty
Empty
Empty